Ticket #44495

create_command_newcomer() may break if there's no dead players

Date d'ouverture: 2022-05-02 08:13 Dernière mise à jour: 2022-05-12 10:00

Rapporteur:
Propriétaire:
Type:
État:
Atteints
Composant:
Priorité:
5 - moyen
Sévérité:
5 - moyen
Résolution:
Fixed
Fichier:
1

Détails

create_command_newcomer() may try to free player slot for the new player by removing dead player(s). This works correctly only when there's exactly one dead player. If there's none -> it still continues as if it now would have a free slot. If there's more than one -> the message about "replacing dead player" has a wrong name (last of the freed dead players, while it will replace the first one).

Ticket History (3/6 Histories)

2022-05-02 08:13 Updated by: cazfi
  • New Ticket "create_command_newcomer() may break if there's no dead players" created
2022-05-02 08:28 Updated by: cazfi
2022-05-03 04:11 Updated by: cazfi
  • Propriétaire Update from (Aucun) to cazfi
  • Résolution Update from Aucun to Accepted
Commentaire

Will push even to S2_6

2022-05-12 09:43 Updated by: cazfi
Commentaire

Reply To cazfi

Will push even to S2_6

No, I won't. This introduces a new string, and we don't assume translators to touch S2_6 any more.

2022-05-12 10:00 Updated by: cazfi
  • État Update from Ouvert to Atteints
  • Résolution Update from Accepted to Fixed

Modifier

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Connexion